import { a as Connection } from './Item-f4cbd6f4.js';
import './_commonjsHelpers-9943807e.js';
import './index-1f953d81.js';

class Verification {
    constructor(connection) {
        this.connection = connection;
    }
    async create(request, tokenize) {
        return await this.connection.post("verification/", request, {
            accept: tokenize ? "application/jwt" : "application/json",
        });
    }
    static open(url, token) {
        const connection = Connection.open(url, token);
        return connection && new Verification(connection);
    }
}

export { Verification };
